<template lang="html">
  <div class="app">
    <div class="refill-info-box">
      <div class="refill-info__block">
        <div class="ui-signin-password input-class">
            <p>Номер карты</p>
            <input type="text" name="login" placeholder="123456789" required>
        </div>
        <div class="ui-signin-password input-class">
            <p>Сумма платежа</p>
            <input type="password" name="pass" placeholder="5 100.00" required>
        </div>
      </div>
      <div class="refill-info__buton">
        <ui-button
        v-for="(title, key) in signin"
        :key="key"
        :title="title"
        ></ui-button>
      </div>
    </div>
    <div
    class="balance-info-box"
    v-for="(balanceItem, key) in balanceInfo"
    :key="key">
      <p><span class="text-bold">Ваш баланс:</span> {{ balanceItem.balanceUser }} {{ balanceItem.currencySign }}</p>
      <p><span class="text-bold">Номер счёта:</span> {{ balanceItem.numberUser }}</p>
    </div>
  </div>
</template>

<script>
export default {
  data () {
    return {
      signin: [
        {
          title: 'Пополнить'
        }
      ],
      balanceInfo: [
        {
          balanceUser: '100.000.00',
          currencySign: '$',
          numberUser: '1234567'
        }
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
  .refill-info__buton {
    ui-button {
      margin-top: 33px;
      margin-right: 9px;
    }
  }

  .ui-signin-password {
    p {
      margin: 0 0 5px 0;
    }
    input {
      padding: 10px 25px;
      width: 85%;
      border-radius: 5px;
      border: 1px solid black;
    }
  }
  .balance-info-box {
    color: black;
    margin-top: 74px;
    p {
      font-size: 21px;
    }
    p:nth-child(2) {
     margin-top: 32px;
     letter-spacing: 1px;
    }
  }
  .refill-info-box {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .refill-info__block {
      width: 100%;
      padding-top: 4px;
      div {
        input {
          width: 50%;
        }
        p {
          color: black;
        }
      }
    }
  }

  .input-class {
    margin-top: 12px;
    p {
      margin: 0 0 5px 0;
    }
    input {
      padding: 11px 39px;
      border-radius: 2px;
      border: 1px solid black;
    }
  }
  .text-bold {
    font-weight: bold;
  }
</style>
